<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark secondary-color mb-5">

<div class="container">
    <!-- Navbar brand -->
    <a class="navbar-brand" href="https://www.djangoproject.com/">Django</a>

    <!-- Collapse button -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav" aria-controls="basicExampleNav"
        aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <!-- Collapsible content -->
    <div class="collapse navbar-collapse" id="basicExampleNav">

        <!-- Links -->
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/">Home
                    <span class="sr-only">(current)</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'dashboard' %}">Dashboard</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'signup' %}">Sign up</a>
            </li>
            {% if request.user.is_authenticated %}
            <li class="nav-item">
                <a class="nav-link" href="{%url 'user_edit'%}">User edit</a>
            </li>
            {% endif %}

        </ul>
        <!-- Links -->

        <!-- login and logout buttons -->
        <div class="my-1 mr-3">
            {% if user.is_authenticated %}
                <a class="btn btn-outline-white btn-md my-2 my-sm-0 ml-3" href="{% url 'logout' %}">Logout</a>
        </div>
        <div class="my-1 mr-3">
                <!-- user icon -->
                <div class="white-text">
                   <i class="fa fa-user" aria-hidden="true"></i>
                   {{ request.user }}
                </div>
            {% else %}
                <a class="btn btn-outline-white btn-md my-2 my-sm-0 ml-3" href="{% url 'login' %}">Login</a>
            {% endif %}
        </div>
    </div>
    <!-- Collapsible content -->

</div>

</nav>

{% if messages %}
        {% for message in messages %}

        <!--Panel-->
        <div class="card border-success mb-3">
            <div class="card-header text-success">
                <p class="card-title" align="center">{{ message }}</p>
            </div>
        </div>
        <!--/.Panel-->

        {% endfor %}
{% endif %}
<!--/.Navbar-->